Coin: SoPointSizeElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoPointSizeElement Class Reference
Element Classes

The SoPointSizeElement changes the point size setting of the render state. More...

`#include <Inventor/elements/SoPointSizeElement.h>`

Inheritance diagram for SoPointSizeElement:

## Public Member Functions
virtual void | init (SoState *state)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float pointSize)
static void | set (SoState *const state, const float pointSize)
static float | get (SoState *const state)
static float | getDefault ()
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoPointSizeElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoPointSizeElement changes the point size setting of the render state.

Requests from the scene graph to change the point size when rendering point primitives will be made through this element.

The SoPointSizeElement class itself is just a generic abstraction for the underlying So*PointSizeElement classes with code specific for each supported immediate mode rendering library.

## Constructor & Destructor Documentation

## ◆ ~SoPointSizeElement()

SoPointSizeElement::~SoPointSizeElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoPointSizeElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoPointSizeElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoPointSizeElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoPointSizeElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoPointSizeElement::init | ( | SoState * | state | ) |
| virtual

Initializes the element to its default value. The default value for point size is 0.0.

Reimplemented from SoFloatElement.

Reimplemented in SoGLPointSizeElement.

## ◆ set() [1/2]

void SoPointSizeElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | pointSize )
| static

Static method for setting the current pointSize value in the given traversal state.

## ◆ set() [2/2]

void SoPointSizeElement::set | ( | SoState *const | state,
|  | const float | pointSize )
| static

Static method for setting the current pointSize value in the given traversal state.

## ◆ get()

float SoPointSizeElement::get | ( | SoState *const | state | ) |
| static

Static method for returning the current point size setting in the given traversal state.

## ◆ getDefault()

float SoPointSizeElement::getDefault | ( | void |  | ) |
| static

Returns default point size setting.

The documentation for this class was generated from the following files:

- SoPointSizeElement.h
- SoPointSizeElement.cpp